shuf(1)

NAME
shuf - Shuffle the input by outputting a random permutation of input lines. Each output permutation is equally likely. With no FILE, or when FILE is -, read standard input.

SYNOPSIS
shuf [-e|--echo] [-i|--input-range] [-n|--head-count] [-o|--output] [--random-source] [-r|--repeat] [-z|--zero-terminated] [-h|--help] [-V|--version] [file-or-args]

DESCRIPTION
Shuffle the input by outputting a random permutation of input lines. Each output permutation is equally likely. With no FILE, or when FILE is -, read standard input.

OPTIONS

-e, --echo
    treat each ARG as an input line

-i, --input-range <LO-HI>
    treat each number LO through HI as an input line

-n, --head-count <COUNT>
    output at most COUNT lines

-o, --output <FILE>
    write result to FILE instead of standard output

--random-source <FILE>
    get random bytes from FILE

-r, --repeat
    output lines can be repeated

-z, --zero-terminated
    line delimiter is NUL, not newline

-h, --help
    Print help

-V, --version
    Print version

[file-or-args]

VERSION
v(uutils coreutils) 0.2.2